Vector BLF: Vector::BLF::FlexRayVFrStartCycle Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::FlexRayVFrStartCycle Struct Referencefinal

FR_STARTCYCLE. More...

`#include <FlexRayVFrStartCycle.h>`

Inheritance diagram for Vector::BLF::FlexRayVFrStartCycle:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | version {}
| version of data struct
uint16_t | channelMask {}
| channel mask
uint8_t | dir {}
| dir flag (tx, rx)
uint8_t | cycle {}
| current cycle
uint32_t | clientIndexFlexRayVFrStartCycle {}
| clientindex of send node
uint32_t | clusterNo {}
| number of cluster
uint16_t | nmSize {}
| size of NM Vector
std::array< uint8_t, 12 > | dataBytes {}
| array of databytes (NM vector max. length)
uint16_t | reservedFlexRayVFrStartCycle1 {}
uint32_t | tag {}
| type of cc
std::array< uint32_t, 5 > | data {}
| register flags
uint64_t | reservedFlexRayVFrStartCycle2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

FR_STARTCYCLE.

FlexRay StartCycle event transmitted by the FlexRay hardware.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::FlexRayVFrStartCycle::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::FlexRayVFrStartCycle::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::FlexRayVFrStartCycle::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::FlexRayVFrStartCycle::channel {}

application channel

Application channel

## ◆ channelMask

uint16_t Vector::BLF::FlexRayVFrStartCycle::channelMask {}

channel mask

Channel Mask

- 0 = Reserved or invalid
- 1 = FlexRay Channel A
- 2 = FlexRay Channel B
- 3 = FlexRay Channels A and B

## ◆ clientIndexFlexRayVFrStartCycle

uint32_t Vector::BLF::FlexRayVFrStartCycle::clientIndexFlexRayVFrStartCycle {}

clientindex of send node

Client index of send node

## ◆ clusterNo

uint32_t Vector::BLF::FlexRayVFrStartCycle::clusterNo {}

number of cluster

Number of cluster: channel number - 1

## ◆ cycle

uint8_t Vector::BLF::FlexRayVFrStartCycle::cycle {}

current cycle

Cycle number

## ◆ data

std::array<uint32_t, 5> Vector::BLF::FlexRayVFrStartCycle::data {}

register flags

Driver flags for internal usage

Cyclone I:

- 0: Rate correction of CC, read from RCVR register
- 1: Offset correction of CC, read from OCVR register

Cyclone II:

- 0: Sync correction of CC, read from RCV register
- 1: Offset correction of CC, read from OCV register
- 2: Cycles with no correction, read from CCEV register
- 3: Cycles with correction in passive mode, read from CCEV register
- 4: Sync Frame status, read from SFS register

VN-Interface:

- 0: Sync correction of CC, read from RCV register
- 1: Offset correction of CC, read from OCV register
- 2: Cycles with no correction, read from CCEV register
- 3: Cycles with correction in passive mode, read from CCEV register
- 4: Sync Frame status, read from SFS register

## ◆ dataBytes

std::array<uint8_t, 12> Vector::BLF::FlexRayVFrStartCycle::dataBytes {}

array of databytes (NM vector max. length)

Array of databytes (NM vector max. length)

## ◆ dir

uint8_t Vector::BLF::FlexRayVFrStartCycle::dir {}

dir flag (tx, rx)

Direction Flags

- 0 = Rx
- 1 = Tx
- 2 = Tx Request
- 3 and 4 are for internal use only.

## ◆ nmSize

uint16_t Vector::BLF::FlexRayVFrStartCycle::nmSize {}

size of NM Vector

Length of NM-Vector in bytes

## ◆ reservedFlexRayVFrStartCycle1

uint16_t Vector::BLF::FlexRayVFrStartCycle::reservedFlexRayVFrStartCycle1 {}

reserved

## ◆ reservedFlexRayVFrStartCycle2

uint64_t Vector::BLF::FlexRayVFrStartCycle::reservedFlexRayVFrStartCycle2 {}

Reserved

## ◆ tag

uint32_t Vector::BLF::FlexRayVFrStartCycle::tag {}

type of cc

Type of communication controller

- 0 = Architecture independent
- 1 = Invalid CC type (for internal use only)
- 2 = Cyclone I
- 3 = BUSDOCTOR
- 4 = Cyclone II
- 5 = Vector VN interface
- 6 = VN-Sync-Pulse (only in Status Event, for debugging purposes only)

## ◆ version

uint16_t Vector::BLF::FlexRayVFrStartCycle::version {}

version of data struct

Object version, for internal use

The documentation for this struct was generated from the following files:

- FlexRayVFrStartCycle.h
- FlexRayVFrStartCycle.cpp